import duzlem;
import vektor3D;
import nokta3D;

class H4O3
{
  public static void main(String args[])
  {
  //bu test dzlem ile nokta arasndaki mesafeyi hesaplar.
  double a,b,c;
  a = (-7.0/3.0);
  b = (5.0/3.0);
  c = (2.0/3.0);
  duzlem d=new duzlem(a,b,c);
  nokta3D P1=new nokta3D(1,1,d.z(1.0,1.0));
  nokta3D P0=new nokta3D(2,-1,3);
  vektor3D v=new vektor3D(P1,b,c,1.0);
  nokta3D P=new nokta3D(P0);
  P.fark(P1);
  vektor3D v1=new vektor3D(P1,P.xiOku(),P.xjOku(),P.xkOku());
  double sonuc=v.scalarcarp(v1)/v.F();
  System.out.println("duzlem d = "+d.toString());
  System.out.println("nokta P0 = "+P0.toString());
  System.out.println("duzlem(d) ile nokta arasindaki mesafe:"+sonuc);
  }
}
